import { Injector, Type } from '@angular/core';
import { NodeViewRenderer, NodeViewRendererOptions } from '@tiptap/core';
import type { Decoration } from 'prosemirror-view';
import type { Node as ProseMirrorNode } from 'prosemirror-model';
import { AngularNodeViewComponent } from './node-view.component';
interface AngularNodeViewRendererOptions extends NodeViewRendererOptions {
    update?: ((node: ProseMirrorNode, decorations: Decoration[]) => boolean) | null;
    injector: Injector;
}
export declare const AngularNodeViewRenderer: (ViewComponent: Type<AngularNodeViewComponent>, options: Partial<AngularNodeViewRendererOptions>) => NodeViewRenderer;
export {};
